MDIO_WRITE(9)

NAME
mdio_write - write MII PHY register

SYNOPSIS

void mdio_write (struct net_device * net_dev, int phy_id, int location, int value);

ARGUMENTS

net_dev
    the net device to write

phy_id
    the phy address to write

location
    the phy regiester id to write

value
    the register value to write with

DESCRIPTION

Write MII registers with value through MDIO and MDC using MDIO management frame structure and protocol(defined by ISO/IEC) please see SiS7014 or ICS spec

AUTHORS
Ollie Lho, Lei Chun Chang.